Eclipse no se inicia (Ubuntu): termina JVM. Código de salida = 2

  1. Instalo Ubuntu 14.04 LTS (64 bits)
  2. Después de eso, instale Eclipse Luno Standard para 64 bits
  3. Instale Jdk y siga todo el paso para configurar jdk utilizando el siguiente enlace,

    Http://www.wikihow.com/Install-Oracle-Java-JDK-on-Ubuntu-Linux

  4. Entonces, después de habilitar para iniciar mi eclipse que me da un siguiente Error,

    VM terminada. Código de salida = 2

    /usr/bin/java -Dosgi.requiredJavaVersion=1.6 -XX:MaxPermSize=256m -Xms256m -Xmx1024m -jar /home/eheuristic/Ecclipse/eclipse//plugins/org.eclipse.equinox.launcher_1.3.0.v20140415- 2008.jar -os linux -ws gtk -arch x86_64 -showsplash /home/eheuristic/Ecclipse/eclipse//plugins/org.eclipse.platform_4.4.0.v20140925- 0400/splash.bmp -launcher /home/eheuristic/Ecclipse/eclipse/eclipse -name Eclipse --launcher.library /home/eheuristic/Ecclipse/eclipse//plugins/org.eclipse.equinox.launcher.gtk.linux.x86_64_1.1. 200.v20140603-1326/eclipse_1605.so -startup /home/eheuristic/Ecclipse/eclipse//plugins/org.eclipse.equinox.launcher_1.3.0.v20140415-2008.jar --launcher.appendVmargs -exitdata 208017 -product org.eclipse.epp.package.java.product -vm /usr/bin/java -vmargs -Dosgi.requiredJavaVersion=1.6 -XX:MaxPermSize=256m -Xms256m -Xmx1024m -jar /home/eheuristic/Ecclipse/eclipse//plugins/org.eclipse.equinox.launcher_1.3.0.v20140415-2008.jar 

Yo tanto intento resolver el entorno variable de entorno, pero no puede hacer, me ayude a sugerir cómo resolverlo.

6 Solutions collect form web for “Eclipse no se inicia (Ubuntu): termina JVM. Código de salida = 2”

En primer lugar, le recomiendo encarecidamente que use el webupd8 ppa

 sudo add-apt-repository ppa:webupd8team/java sudo apt-get update sudo apt-get install oracle-java8-installer 

Luego, para configurarlo

 sudo update-java-alternatives -s java-8-oracle 

La ventaja es la facilidad de las actualizaciones.

Escribe en eclipse.in en la parte superior del archivo

 -startu -vm /usr/local/jdk/jre/bin 

Cambie la ruta según su sistema

Tenía el mismo error. Resuelto por:

Sudo update-alternatives –config java

Comencé "usando / usr / lib / jvm / java-8-openjdk-amd64 / jre / bin / java para proporcionar / usr / bin / java (java) en modo manual" – que era la opción 4, y funcionó bien.

Estoy utilizando Luna Service Release 2 (4.4.2).

Espero que ayude a alguien en algún lugar.

Sé exactamente cómo resolver su problema, ir a la búsqueda y poner en el medio ambiente, un mensaje llegará y le pedirá que "editar variables ambientales para su cuenta" haga clic en eso y una ventana aparecerá. Habrá las trayectorias actuales que están funcionando en la tapa (usted debe tener su versión de jdk que funciona la mía es 1.8) y en la parte inferior habrá caminos también elegir de. Seleccione (en la parte inferior) la ruta de java y elimínela y, a continuación, haga clic en Aceptar. deberia de funcionar

Yo encuentro mi estúpida solución,

Estoy intentando instalar jdk que es la compatibilidad con 32 bits.

I descargas nuevo jdk1.8.0_25 para 64 bits y seguir el paso, tengo soluciones.

Tuve este mismo problema al intentar ejecutar Eclipse y Android Studio en Ubuntu con Java 9. Solución: Instale Java 8

  Sudo apt-get instalar oracle-java8-installer 

Y establecerlo como predeterminado

  Sudo apt-get install oracle-java8-set-default 

Y voilà.

  • Gradle invocation "completar con éxito con 1 error" en Ubuntu 13.10
  • Error al agregar la plataforma Android en el marco iónico en ubuntu
  • No se puede encontrar la carpeta .android en ubuntu
  • ¿Por qué ADB Ubuntu no reconoce mi dispositivo?
  • Copie los archivos MTP de Android usando linux terminal o python; Error Operación no soportada
  • Bash en Ubuntu en Windows, Compile AOSP
  • Libz.so.1: no se puede abrir archivo de objeto compartido
  • No se puede iniciar eclipse desde adt bundle en ubuntu 12.04
  • Zipalign: comando no encontrado - Ubuntu
  • Error: spawn EACCES al intentar construir Ionic app en Ubuntu 15.10
  • Emulador de Android Ubuntu 14.04 no se pudo crear la ventana SDL2 GLX no compatible
  • FlipAndroid es un fan de Google para Android, Todo sobre Android Phones, Android Wear, Android Dev y Aplicaciones para Android Aplicaciones.